### Method

# Gtk CellAreacell_set_valist

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_cell_set_valist (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* first_property_name,
      va_list var_args
    )

#### Description [src]

Sets one or more cell properties for `renderer` in `area`.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer` which inside `area`.

  The data is owned by the caller of the method.

`first_property_name`

  Type: `const char*`

  The name of the first cell property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  A `NULL`-terminated list of property names and values, starting with `first_prop_name`.